PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level Struct Reference

Data for energy level. More...

`#include <solvers/gain/freecarrier/freecarrier.hpp>`

Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level:
[legend]

## Public Member Functions
| Level (double E, const Tensor2< double > &M)
| Level (double E, const Tensor2< double > &M, double t)
| Level (double E, const Tensor2< double > &M, WhichLevel which, const ActiveRegionParams &params)

## Public Attributes
double | E
| Level energy.
Tensor2< double > | M
| Representative well index.
double | thickness
| Cumulated wells thickness.

## Detailed Description

template<typename BaseT>
struct plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level

Data for energy level.

Definition at line 42 of file freecarrier.hpp.

## Constructor & Destructor Documentation

## ◆ Level() [1/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::Level | ( | double | E,
|  | const Tensor2< double > & | M
| ) |  |
| inline

Definition at line 47 of file freecarrier.hpp.

## ◆ Level() [2/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::Level | ( | double | E,
|  | const Tensor2< double > & | M,
|  | double | t
| ) |  |
| inline

Definition at line 49 of file freecarrier.hpp.

## ◆ Level() [3/3]

template<typename BaseT >

plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::Level | ( | double | E,
|  | const Tensor2< double > & | M,
|  | WhichLevel | which,
|  | const ActiveRegionParams & | params
| ) |  |

Definition at line 25 of file freecarrier.cpp.

## Member Data Documentation

## ◆ E

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::E

Level energy.

Definition at line 43 of file freecarrier.hpp.

## ◆ M

template<typename BaseT >

Tensor2<double> plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::M

Representative well index.

Definition at line 44 of file freecarrier.hpp.

## ◆ thickness

template<typename BaseT >

double plask::gain::freecarrier::FreeCarrierGainSolver< BaseT >::Level::thickness

Cumulated wells thickness.

Definition at line 45 of file freecarrier.hpp.

The documentation for this struct was generated from the following files:

- solvers/gain/freecarrier/freecarrier.hpp
- solvers/gain/freecarrier/freecarrier.cpp